Bug 466811 - Matrox G550 shows blank screen instead of gdm
Matrox G550 shows blank screen instead of gdm
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-mga (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-13 15:09 EDT by Christof Damian
Modified: 2009-10-22 08:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:49:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log with the default config, ends up showing a blank screen (no sync) (32.85 KB, text/plain)
2008-10-13 15:09 EDT, Christof Damian
no flags Details
xorg log from the same computer, but this time with a G400. This card does work. (31.52 KB, text/plain)
2008-10-15 18:28 EDT, Christof Damian
no flags Details

  None (edit)
Description Christof Damian 2008-10-13 15:09:18 EDT
Created attachment 320220 [details]
xorg log with the default config, ends up showing a blank screen (no sync)

Description of problem:

After upgrading from f8 to f9 the login screen doesn't load any more. I just get a black screen. Same with system-config-display. It works if I manually limit the screen size to 800x600. My monitor does support 1920x1600 though, which was working with f8. 

Version-Release number of selected component (if applicable):

xorg-x11-drv-mga-1.4.9-1.fc9.i386

How reproducible:

works any time by just starting X with the default xorg.conf
  
Actual results:

blank screen

Expected results:

fancy desktop

Additional info:

I googled around a lot to find a solution and noticed that a lot of people seem to have the same problem, but without any solution. I think a similar problem showed in fc5, but f8 was working.
Comment 1 Christof Damian 2008-10-15 18:26:23 EDT
I now also got a Matrox G400, which does work with 1920x1600. Same computer and same monitor.

I'll attach the log from this configuration, maybe comparing these helps. 

I am also willing to help with debugging of this bug and putting the G550 back into the machine (well, as long as I haven't upgraded to a new computer).
Comment 2 Christof Damian 2008-10-15 18:28:21 EDT
Created attachment 320497 [details]
xorg log from the same computer, but this time with a G400. This card does work.
Comment 3 Christof Damian 2008-10-16 04:08:10 EDT
I also found these bugs here, which seem to be similar.

bug 466318 : Unable to boot Fedora 10Beta in graphics mode with Matrox MGA G550 graphics card. 
bug 452615: mga driver prevents normal bootup/login


Once Fedora 10 is out I will also test it there.
Comment 4 Tommi R. 2008-11-01 20:17:45 EDT
I just added my comments and attachments to bug 442533
https://bugzilla.redhat.com/show_bug.cgi?id=442533

Probably the same bug, at least the same graphics card when this is occured. 

I also want help with this (if I can). I can now boot to fc8 (when everything works just fine) and to fc9 (when I can not get better resolution than 800x600).
Comment 5 Bug Zapper 2009-06-09 22:57:22 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 12:49:59 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.